# easy-nlp-translate

## 🛠️ Build with

![Python](https://img.shields.io/badge/python-3670A0?style=for-the-badge&logo=python&logoColor=ffdd54)
![Huggingface](https://img.shields.io/badge/🤗%20Hugging%20Face-Model-blue?style=for-the-badge)
![Pandas](https://img.shields.io/badge/pandas-%23150458.svg?style=for-the-badge&logo=pandas&logoColor=white)
![Open AI](https://img.shields.io/badge/-OpenAI-93f6ef?style=for-the-badge&logo=openai&logoColor=white)
![Gemini](https://img.shields.io/badge/Google-Gemini-blue?style=for-the-badge&logo=google&logoColor=white)
![Antrophic](https://img.shields.io/badge/Claude%20Sonnet-blueviolet?style=for-the-badge)

## Docs
Here is the link to the [documentation](https://easy-nlp-translate.de).

## Summary

Translation library that provides an easy-to-use interface for translating text using both local transformer models and large language models (LLMs) from popular providers. It is designed to simplify the translation process while ensuring high-quality results through careful model evaluation also shown in the documentation.

## 🚀 Features

- Translation with a local transformer model selected based on our evaltuaion
- LLM Translation using common provider with a costum prompt or based on our prompty lirary
- Access to own distilled model

## 📦 Installation & Instructions

### Installion

Install the package from pypi:

```bash
pip install easy-nlp-translate
```

## 👥 Contributions

<table border="0">
  <tbody>
    <tr>
      <td align="center" valign="top" width="33.33%"><a href="https://github.com/philipp-mey"><img src="https://avatars.githubusercontent.com/u/59752830?v=4" width="100px;" alt="Philipp Meyer"/><br /><sub><b>Philipp Meyer</b></sub></a></td>
      <td align="center" valign="top" width="33.33%"><a href="https://github.com/kevs22"><img src="https://avatars.githubusercontent.com/u/113542278?v=4" width="100px;" alt="Kevin Schäfer"/><br /><sub><b>Kevin Schäfer</b></sub></a></td>
      <td align="center" valign="top" width="33.33%"><a href="https://github.com/olefSch"><img src="https://avatars.githubusercontent.com/u/117641051?v=4" width="100px;" alt="Ole Schildt"/><br /><sub><b>Ole Schildt</b></sub></a></td>
    </tr>

  </tbody>
</table>

## 🧾 License

This project is licensed under the **MIT License**. See the [LICENSE](./LICENSE) file for details.
